#!/usr/bin/env python3

from intcode import Interpreter, SingletonIO

def preproc(puzzle_input):
    return list(map(int, puzzle_input.split(',')))

def partI(program):
    return Interpreter(program, SingletonIO).run(1)

def partII(program):
    return Interpreter(program, SingletonIO).run(2)


from main import Tests
tests = Tests()
tests.add("104,1125899906842624,99", partI=1125899906842624)
